%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name PHP_Compat

Name:           php-pear-PHP-Compat
Version:        1.5.0
Release:        5%{?dist}
Summary:        Provides missing functionality for older versions of PHP
Summary(fr):    Fournit les fonctionnalités manquantes aux anciennes versions de PHP

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/PHP_Compat
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source1:        PHP-LICENSE-3.01
Source2:        xml2changelog
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-pear(PEAR)
Provides:       php-pear(%{pear_name}) = %{version}

%description
PHP_Compat provides missing functionality for older versions of PHP.
This include fonctions and constants.

%description -l fr
PHP_Compat Fournit les fonctionnalités manquantes aux anciennes
versions de PHP. Il s'agit de fonctions et de constantes.

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
%{_bindir}/php -n %{SOURCE2} package2.xml >CHANGELOG
mv package2.xml %{pear_name}-%{version}/%{name}.xml
%{__install} -m 644 -c %{SOURCE1} LICENSE

cd %{pear_name}-%{version}

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.

%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

%check
lst=$(find %{buildroot}%{pear_phpdir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGELOG
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/PHP
%{pear_testdir}/%{pear_name}

%changelog
* Sat May 22 2010 Remi Collet <Fedora@FamilleCollet.com> 1.5.0-5
- spec cleanup
- rename PHP_Compat.xml to php-pear-PHP-Compat.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.5.0-2
- fix license tag

* Tue Sep 19 2006 Remi Collet <Fedora@FamilleCollet.com> 1.5.0-1
- generated spec file (pear make-rpm-spec)
- add french sumnary and description
- add LICENSE CHANGELOG
